import { useBrandContext } from '@osui/brand-provider';
import { useStyleRegister, useCacheToken } from '@ant-design/cssinjs';
import { theme } from 'antd';
const { useToken } = theme;
export const prepareComponentToken = token => {
    const ret = {};
    Object.keys(token).forEach(k => {
        ret[k] = token[k];
    });
    Object.keys(token.HighlightText || {}).forEach(k => {
        ret[k] = token?.HighlightText?.[k];
    });
    return ret;
};
export const genHighlightTextStyle = ({ clsPrefix, token }) => {
    return [{
            [`.${clsPrefix}`]: {
                '&-mark': {
                    'color': token['themePrimaryColor'],
                },
            },
        }];
};
export const useStyle = (clsPrefix, prefixCls, cssVar) => {
    const outTheme = useBrandContext();
    const hashed = outTheme.designToken?.hashed;
    const { token: outerToken, theme, hashId } = useToken();
    const [token] = useCacheToken(theme, [
        prepareComponentToken(outerToken),
    ], {
        salt: typeof hashed === 'string'
            ? hashed
            : Math.random().toString(36).slice(-8),
        cssVar: cssVar
            ? {
                prefix: (typeof cssVar === 'object'
                    && cssVar.prefix)
                    || 'ant',
            }
            : undefined,
    });
    const wrapSSROsui = useStyleRegister({
        theme: theme,
        token,
        hashId,
        path: [prefixCls],
    }, () => [
        genHighlightTextStyle({
            clsPrefix, prefixCls, token, cssVar,
        }),
    ]);
    return wrapSSROsui;
};
//# sourceMappingURL=index.js.map